Bug 849794 - sometimes some cartridges need a extra gear and sometimes they dont
sometimes some cartridges need a extra gear and sometimes they dont
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 17:39 EDT by clive darra
Modified: 2015-05-14 18:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 21:04:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clive darra 2012-08-20 17:39:38 EDT
Description of problem:
sometimes some cartridges need a extra gear and sometimes they dont

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. create a 3 gear app (ha+php+mysql)
2. use gui to try and add OpenShift Metrics 0.1 or Cron 1.4
  
Actual results:
OpenShift Metrics 0.1
Website:
Version: 1.0.0
An experimental cartridge that demonstrates retrieving real-time statistics from your application. May be removed or replaced in the future.

You have reached the maximum allowed gears and cannot create another. You must scale down an application or remove an application or cartridge to continue.
Do you want to add the OpenShift Metrics 0.1 cartridge to your application?


Cron 1.4
Website: https://fedorahosted.org/cronie/
Version: 1.4
The Cron cartridge allows you to run command line programs at scheduled times. Use this for background jobs and periodic processing.

You have reached the maximum allowed gears and cannot create another. You must scale down an application or remove an application or cartridge to continue.
Do you want to add the Cron 1.4 cartridge to your application?
Back 

Expected results:
should add cartridge

Additional info:
if create 3 x 1 gear apps (php) instead of 1 x 3 gear app you can add BOTH the OpenShift Metrics 0.1 and Cron 1.4 cartridges without getting the error "You have reached the maximum allowed gears and cannot create another. You must scale down an application or remove an application or cartridge to continue."
Comment 1 Rob Millner 2012-08-20 19:39:31 EDT
This is likely down in the gear count consistency check on app save in the broker.
Comment 2 Rajat Chopra 2012-08-20 21:04:17 EDT
As of date, this is the expected behaviour.

 - When one creates a scalable application, each cartridge that one adds will get a new gear of its own.

 - When one creates a non-scalable application, each cartridge gets embedded to the only gear of the application.


We have a feature coming soon, where a cartridge can be added but co-located with an existing gear-group. Possibly, the default behaviour will be that small non-db cartridges like metrics/cron will get automatically added to an existing gear (instead of consuming a new gear by themselves).
Comment 3 clive darra 2012-08-21 12:14:24 EDT
"When one creates a scalable application, each cartridge that one adds will get a new gear of its own."

thanks that explains it

Note You need to log in before you can comment on or make changes to this bug.